#include <iostream> 
#include <string>      
using namespace std;

class MyShape
{
public:
	int s;
	float r;
	void PrintR()
	{
		cout << r << ", " << s << endl;
	}
};
class MyRectangle : public MyShape
{
public:
	int r, s;
	int rrr;
	void PrintR()
	{
		cout << r << ", " << s << endl;
	}
};

int main()
{
	MyRectangle R2;
	R2.r = 2;
	R2.s = 2;
	R2.MyShape::r = 20;
	R2.MyShape::s = 20;
	R2.MyShape::PrintR();
	R2.PrintR();

	MyShape S1;
	S1.r = 2200;
	S1.s = 4400;
	S1.MyShape::PrintR();

	S1 = R2;
	R2.MyShape::PrintR();
}

